Bug 478495 - HP LaserJet via USB cannot print unless I replug USB after boot
Summary: HP LaserJet via USB cannot print unless I replug USB after boot
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-12-31 01:45 UTC by Adam Goode
Modified: 2009-12-18 07:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 07:26:34 UTC
Type: ---


Attachments (Terms of Use)
Output of lshal and getfacl (5.84 KB, text/plain)
2009-01-29 20:32 UTC, Adam Goode
no flags Details

Description Adam Goode 2008-12-31 01:45:03 UTC
Description of problem:
Permissions are not being set correctly at boot for my USB printer.

# lsusb
 Bus 003 Device 002: ID 03f0:1d17 Hewlett-Packard LaserJet 1320

# hp-probe -busb
 Device URI                                           Model                  
 ---------------------------------------------------  -----------------------
 hp:/usb/hp_LaserJet_1320_series?serial=00CNHC59C5VF  HP LaserJet 1320 series

# getfacl /dev/bus/usb/003/002
 getfacl: Removing leading '/' from absolute path names
 # file: dev/bus/usb/003/002
 # owner: root
 # group: root
 user::rw-
 group::r--
 mask::r--
 other::r--


Because the lp group doesn't have access, I cannot print.

If I unplug and replug the USB, things work:

# getfacl /dev/bus/usb/003/003
 getfacl: Removing leading '/' from absolute path names
 # file: dev/bus/usb/003/003
 # owner: root
 # group: root
 user::rw-
 group::r--
 group:lp:rw-
 mask::rw-
 other::r--



Version-Release number of selected component (if applicable):
hal-0.5.12-12.20081027git.fc10.i386
udev-127-3.fc10.i386
kernel-2.6.27.9-159.fc10.i686

How reproducible:
Always.

Steps to Reproduce:
1. Reboot.
  
Actual results:
Cannot print.

Expected results:
Printing.

Additional info:
Not sure if this should be hal or udev or what.
Also, similar to bug #424331

Comment 1 Adam Goode 2009-01-12 13:45:59 UTC
Should this be against hplip?

Comment 2 Tim Waugh 2009-01-12 13:57:53 UTC

*** This bug has been marked as a duplicate of bug 479648 ***

Comment 3 Tim Waugh 2009-01-29 09:18:11 UTC
Not a duplicate after all: this bug is about cold-plugging, not hot-plugging.

Comment 4 Tim Waugh 2009-01-29 11:37:58 UTC
It works fine here for two HP devices I have (DeskJet 990C and PSC 2210).

Please attach the output of running this command:

  lshal -s | grep 3f0 | xargs -rn1 lshal -u

after a boot, making sure that the group lp ACL is not set for the device.

Comment 5 Adam Goode 2009-01-29 20:32:46 UTC
Created attachment 330400 [details]
Output of lshal and getfacl

Comment 6 Alexey Kuznetsov 2009-11-07 23:26:03 UTC
f12 have fix for it.

Comment 7 Bug Zapper 2009-11-18 10:36:32 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2009-12-18 07:26:34 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.